<?php
namespace Elementor;

/**
 * Elementor Widget
 * @package Geroz
 * @since 1.0.0
 */ 
 
class Home4_Funfact extends Widget_Base {

	/**
	 * Get widget name.
	 * Retrieve button widget name.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return string Widget name.
	 */
	public function get_name() {
		return 'geroz-home4-funfact-widget';
	}

	/**
	 * Get widget title.
	 * Retrieve button widget title.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return string Widget title.
	 */
	public function get_title() {
		return esc_html__( 'Home 4 Funfact', 'geroz-core' );
	}

	/**
	 * Get widget icon.
	 * Retrieve button widget icon.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return string Widget icon.
	 */
	public function get_icon() {
		return 'eicon-flash';
	}

	/**
	 * Get widget categories.
	 * Retrieve the list of categories the button widget belongs to.
	 * Used to determine where to display the widget in the editor.
	 *
	 * @since  2.0.0
	 * @access public
	 * @return array Widget categories.
	 */
	public function get_categories()
    {
        return ['geroz_widgets'];
    }
	
	/**
	 * Register button widget controls.
	 * Adds different input fields to allow the user to change and customize the widget settings.
	 *
	 * @since  1.0.0
	 * @access protected
	 */
	protected function register_controls() {

		$this->start_controls_section(
			'content_section',
			[
				'label' => __( 'Funfact Block', 'geroz-core' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);
		$this->add_control(
		  'repeat', 
			[
				'type' => Controls_Manager::REPEATER,
				'separator' => 'before',
				'default' => 
					[
						['section_title' => esc_html__('Hello World', 'geroz-core')],
					],
				'fields' => 
					[					

						'section_subtitle' => [
							'name' => 'section_subtitle',
							'label' => esc_html__('Subtitle', 'geroz-core'),
							'type' => Controls_Manager::TEXTAREA,
							'default' => esc_html__('Subtitle', 'geroz-core'),
						],

						'section_title' => [
							'name' => 'section_title',
							'label' => esc_html__('Title', 'geroz-core'),
							'type' => Controls_Manager::TEXTAREA,
							'default' => esc_html__('Title', 'geroz-core'),
						],

						
					],
				'title_field' => '{{section_title}}',
			 ]
	);
		
		
	$this->end_controls_section();	

	
		}

	/**
	 * Render button widget output on the frontend.
	 * Written in PHP and used to generate the final HTML.
	 *
	 * @since  1.0.0
	 * @access protected
	 */
	protected function render() {
		$settings = $this->get_settings_for_display();
		$allowed_tags = wp_kses_allowed_html('post');
		?>

		 <section class="funfact-wrapper funfact-1 style-2 section-padding ">
			<div class="container container-1590">
				<div class="funfact-inner">
					<?php foreach($settings['repeat'] as $item):?>	
					<div class="signle-funfact-item wow fadeInUp" data-wow-delay="200ms">
						<div class="count-box">
							<h2><?php echo wp_kses($item['section_title'], $allowed_tags);?></h2>
							<p><?php echo wp_kses($item['section_subtitle'], $allowed_tags);?></p>
						</div>
					</div>
					<?php endforeach; ?>
				</div>
			</div>
		</section>

             
		<?php 
	}


}

Plugin::instance()->widgets_manager->register_widget_type(new Home4_Funfact());